org.postgis

## Class PGgeometry

- java.lang.Object
- - org.postgresql.util.PGobject
  - - org.postgis.PGgeometry

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  PGgeometryLW

    public class PGgeometry
    extends org.postgresql.util.PGobject

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `SRIDPREFIX` The prefix that indicates SRID presence

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

### Constructor Summary

Constructors
Constructor and Description
`PGgeometry()`
`PGgeometry(Geometry geom)`
`PGgeometry(String value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `clone()`
`static Geometry` `geomFromString(String value)`
`static Geometry` `geomFromString(String value, BinaryParser bp)` Maybe we could add more error checking here?
`static Geometry` `geomFromString(String value, BinaryParser bp, boolean haveM)`
`static Geometry` `geomFromString(String value, boolean haveM)`
`Geometry` `getGeometry()`
`int` `getGeoType()`
`String` `getValue()`
`void` `setGeometry(Geometry newgeom)`
`void` `setValue(String value)`
`static String[]` `splitSRID(String whole)` Splits a String at the first occurrence of border character.
`String` `toString()`

### Methods inherited from class org.postgresql.util.PGobject

`equals, getType, hashCode, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SRIDPREFIX

    public static final String SRIDPREFIX

The prefix that indicates SRID presence

See Also:
  Constant Field Values

### Constructor Detail

#### PGgeometry

    public PGgeometry()

#### PGgeometry

    public PGgeometry(Geometry geom)

#### PGgeometry

    public PGgeometry(String value)
               throws SQLException

Throws:
  `SQLException`

### Method Detail

#### setValue

    public void setValue(String value)
                  throws SQLException

Overrides:
  `setValue` in class `org.postgresql.util.PGobject`
Throws:
  `SQLException`

#### geomFromString

    public static Geometry geomFromString(String value)
                                   throws SQLException

Throws:
  `SQLException`

#### geomFromString

    public static Geometry geomFromString(String value,
                                          boolean haveM)
                                   throws SQLException

Throws:
  `SQLException`

#### geomFromString

    public static Geometry geomFromString(String value,
                                          BinaryParser bp)
                                   throws SQLException

Maybe we could add more error checking here?

Parameters:
  `value` - String representing the geometry
  `bp` - BinaryParser to use whe parsing
Returns:
  Geometry object parsed from the specified string value
Throws:
  `SQLException` - when a SQLException occurs

#### geomFromString

    public static Geometry geomFromString(String value,
                                          BinaryParser bp,
                                          boolean haveM)
                                   throws SQLException

Throws:
  `SQLException`

#### getGeometry

    public Geometry getGeometry()

#### setGeometry

    public void setGeometry(Geometry newgeom)

#### getGeoType

    public int getGeoType()

#### toString

    public String toString()

Overrides:
  `toString` in class `org.postgresql.util.PGobject`

#### getValue

    public String getValue()

Overrides:
  `getValue` in class `org.postgresql.util.PGobject`

#### clone

    public Object clone()

Overrides:
  `clone` in class `org.postgresql.util.PGobject`

#### splitSRID

    public static String[] splitSRID(String whole)
                              throws SQLException

Splits a String at the first occurrence of border character. Poor man's String.split() replacement, as String.split() was invented at jdk1.4, and the Debian PostGIS Maintainer had problems building the woody backport of his package using DFSG-free compilers. In all the cases we used split() in the org.postgis package, we only needed to split at the first occurence, and thus this code could even be faster.

Parameters:
  `whole` - the String to be split
Returns:
  String array containing the split elements
Throws:
  `SQLException` - when a SQLException occurrs